## impass 0.12

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

VERSION:=$(shell git describe --tags | sed -e s/_/~/ -e s/-/+/ -e s/-/~/ -e 's|.*/||')

.PHONY: all
all: impass.1

.PHONY: test
test:
	./test/impass-test $(TEST_OPTS)
	rm -f test/gnupg/S.gpg-agent

impass.1: impass
	PYTHONPATH=. python3 -m impass help \
	| txt2man -t impass -r 'impass $(VERSION)' -s 1 \
	> impass.1

version:
	echo "__version__ = '$(VERSION)'" >impass/version.py

.PHONY: clean
clean:
	rm -f impass.1

.PHONY: debian-snapshot
debian-snapshot:
	rm -rf build/deb
	mkdir -p build/deb/debian
	git archive HEAD | tar -x -C build/deb/
	git archive debian:debian | tar -x -C build/deb/debian/
	cd build/deb; dch -b -v $(VERSION) -D UNRELEASED 'test build, not for upload'
	cd build/deb; echo '3.0 (native)' > debian/source/format
	cd build/deb; debuild -us -uc

=== debian/changelog ===
impass (0.12-1) unstable; urgency=medium

  * New upstream release, renaming "assword" to "impass"
    (Closes: #891211)
  * rename package to impass, creating transitional dummy assword package
  * ensure that pybuild knows where to install

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 23 Feb 2018 09:19:46 -0800

assword (0.11-1) unstable; urgency=medium

  * move to debhelper 11
  * Standards-Version: bump to 4.1.3 (no changes needed)
  * move Vcs-* fields to salsa.debian.org
  * update branches to DEP-14
  * d/control: add Rules-Requires-Root: no
  * Use salsa for upstream homepage
  * clean up tests after build

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 23 Feb 2018 01:14:16 -0800

assword (0.10-2) unstable; urgency=medium

  * add Recommends on gir1.2-gtk-3.0 (Closes: #851637)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 17 Jan 2017 10:05:53 -0800

assword (0.10-1) unstable; urgency=medium

  * converted from python3-pyme to python3-gpg

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 25 Nov 2016 12:18:03 -0800

assword (0.10~rc1-1) unstable; urgency=medium

  * converted from python3-gpgme to python3-pyme

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 20:14:27 -0400

assword (0.10~rc0-1) UNRELEASED; urgency=high

  * New upstream release (Closes: #739820, #825365)
  * Change section to 'utils' (Closes: #832186)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 15 Aug 2016 00:49:28 -0700

assword (0.9-1) unstable; urgency=medium

  * new upstream release (converted to python3)
  * bump standards-version to 3.9.8 (no changes needed)
  * move Vcs-* fields for debian packaging to collab-maint on alioth

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 23 May 2016 15:20:19 -0700

assword (0.8-2) unstable; urgency=medium

  * d/control: fixed Homepage URL to use https
  * d/copyright: refer to all files explicitly
  * d/control: bump Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 02 Jul 2015 12:11:49 -0400

assword (0.8-1) unstable; urgency=low

  * New upstream version (Closes: #745678, #720901, #727710, #728237, #725719)
  * Bump standards version

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Thu, 01 May 2014 23:23:10 -0700

assword (0.7-1) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * New Upstream Version
  * fix "Create" from xsearch
  * clean up/sync documentation now that numeric id's are not used.

  [ Jameson Rollins ]
  * fix debian dependencies and recommends
  * Closes ITP bug with wnpp (Closes: #706974)

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 07 May 2013 08:57:17 -0700

assword (0.6-1) unstable; urgency=low

  * New release.
  * replace python-tk with python-gtk2 dependency
  * Bump standards version (3.9.4)

 -- Jameson Rollins <jrollins@finestructure.net>  Sun, 24 Mar 2013 00:00:56 -0700

assword (0.5-1) unstable; urgency=low

  * New release, fixes versioning information.
  * minor packaging cleanup, bumping to debhelper compat level 9
  * added placeholder assword(1) man page via help2man

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Mar 2013 14:03:52 -0500

assword (0.4-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 02 Mar 2013 18:11:36 -0800

assword (0.3-1) unstable; urgency=low

  * New release.
  * Move python-xdo to Recommends.

 -- Jameson Rollins <jrollins@finestructure.net>  Wed, 13 Feb 2013 14:15:22 -0800

assword (0.2-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Thu, 17 Jan 2013 10:01:15 -0800

assword (0.1-1) unstable; urgency=low

  * New release.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 05 Jan 2013 23:07:57 -0800

assword (0.0-1) unstable; urgency=low

  * New packaging.

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 29 Dec 2012 06:29:40 -0800

=== debian/control ===
Source: impass
Section: utils
Priority: optional
Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 pkg-config,
 python3,
 python3-gpg,
 python3-setuptools,
 txt2man,
Standards-Version: 4.1.3
Homepage: https://salsa.debian.org/debian/impass
Vcs-Git: https://salsa.debian.org/debian/impass.git
Vcs-Browser: https://salsa.debian.org/debian/impass
Rules-Requires-Root: no

Package: impass
Provides:
 python3-impass,
Architecture: all
Depends:
 python3-gpg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-gtk-3.0,
 python3-gi,
 python3-xdo,
 xclip,
Description: Simple and secure password management and retrieval system
 Impass is a secure password manager that relies on your OpenPGP key
 for security and is designed to integrate in a minimal fashion into
 any X11 window manager.
 .
 Passwords and context strings are stored in a single
 OpenPGP-encrypted and signed file (meaning entry contexts are not
 exposed to the filesystem).  Along with a simple command-line
 interface, there is a streamlined GUI meant for X11 window manager
 integration.  When invoked, the GUI produces a prompt to search
 stored contexts.  New entries can also easily be created.  Passwords
 are securely retrieved without displaying on the screen.  Multiple
 retrieval methods are available, including auto-typing them directly
 into an X11 window (default), or inserting them into the X11 clipboard.

Package: assword
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends:
 impass (= ${binary:Version}),
 ${misc:Depends},
Description: Simple password manager (dummy transitional package)
 Assword has been renamed to Impass.
 .
 This is a dummy transitional package; please use "impass" instead.
 .
 It is safe to remove this package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = impass
export PYBUILD_DESTDIR = $(shell pwd)/debian/impass

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_auto_test:
	make test

override_dh_installman:
	make impass.1
	dh_installman

## impass 0.12.2

=== requirements.txt ===
gpg
PyGobject
xdo

=== debian/changelog ===
impass (0.12.2-1) unstable; urgency=medium

  * New upstream rev release (Closes: #854702)
  * Update to debhelper 12
  * Update to standards version 4.4.1

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 30 Dec 2019 19:26:07 -0800

impass (0.12.1-1) unstable; urgency=high

  * New upstream minor release for python3-gpg (Closes: #912092, #911568)
  * Update standards version

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Mon, 26 Nov 2018 21:16:39 -0800

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  pkg-config,
  python3,
  python3-gpg,
  python3-setuptools,
  txt2man,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://salsa.debian.org/debian/impass
 Vcs-Git: https://salsa.debian.org/debian/impass.git
 Vcs-Browser: https://salsa.debian.org/debian/impass

## impass 0.13.1

=== debian/changelog ===
impass (0.13.1-2) unstable; urgency=medium

  * Add gpg-agent to !nocheck build-deps, to try to address #1081342

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 08 Oct 2024 14:02:59 -0400

impass (0.13.1-1) unstable; urgency=medium

  * New upstream release
    - (clean up sway integration properly when impass gui is canceled)
  * move to unstable
  * Standards-Version: 4.7.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 07 Apr 2024 12:51:57 -0400

impass (0.13-1) experimental; urgency=medium

  * New upstream release to experimental
    - support sway integration

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 30 Mar 2024 01:06:13 -0400

impass (0.12.3-1) unstable; urgency=medium

  * New upstream minor cleanup release (Closes: #1053094)
  * Update to debhelper 13
  * Standards-Version: bump to 4.6.2 (no changes needed)
  * move from pkg-config to pkgconf
  * added debian/watch

  [ Bastian Germann ]
  * drop assword legacy package (Closes: #1038334)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 27 Mar 2024 08:31:45 -0400

=== debian/control ===
Source: impass
Section: utils
Priority: optional
Maintainer: Jameson Graef Rollins <jrollins@finestructure.net>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-python,
 gpg-agent <!nocheck>,
 pkgconf,
 python3,
 python3-gpg,
 python3-setuptools,
 txt2man,
Standards-Version: 4.7.0
Homepage: https://salsa.debian.org/debian/impass
Vcs-Git: https://salsa.debian.org/debian/impass.git
Vcs-Browser: https://salsa.debian.org/debian/impass
Rules-Requires-Root: no

Package: impass
Provides:
 python3-impass,
Architecture: all
Depends:
 python3-gpg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-gtk-3.0,
 python3-gi,
 python3-i3ipc,
 python3-xdo,
 wtype,
 xclip,
Description: Simple and secure password management and retrieval system
 Impass is a secure password manager that relies on your OpenPGP key
 for security and is designed to integrate in a minimal fashion into
 any X11 window manager, or sway on Wayland.
 .
 Passwords and context strings are stored in a single
 OpenPGP-encrypted and signed file (meaning entry contexts are not
 exposed to the filesystem).  Along with a simple command-line
 interface, there is a streamlined GUI meant for X11 window manager or
 sway integration.  When invoked, the GUI produces a prompt to search
 stored contexts.  New entries can also easily be created.  Passwords
 are securely retrieved without displaying on the screen.  Multiple
 retrieval methods are available, including auto-typing them directly
 into an X11 window or sway container (default), or by inserting them
 into the X11 clipboard.

## impass 0.14.1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 	rm -rf build/deb
 	mkdir -p build/deb/debian
 	git archive HEAD | tar -x -C build/deb/
-	git archive debian:debian | tar -x -C build/deb/debian/
+	git archive --format=tar debian/master:debian | tar -x -C build/deb/debian/
 	cd build/deb; dch -b -v $(VERSION) -D UNRELEASED 'test build, not for upload'
 	cd build/deb; echo '3.0 (native)' > debian/source/format
 	cd build/deb; debuild -us -uc

=== requirements.txt ===
gpg
PyGobject
xdo
i3ipc

=== debian/changelog ===
impass (0.14.1-1) unstable; urgency=medium

  * New upstream release (reports the correct version number)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 08 Jan 2025 12:28:05 -0500

impass (0.14-1) unstable; urgency=medium

  * new upstream release, moving to gtk 4

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 08 Jan 2025 01:16:55 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
- gir1.2-gtk-3.0,
+ gir1.2-gtk-4.0,
  python3-gi,
  python3-i3ipc,
  python3-xdo,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make test
+endif
 
 override_dh_installman:
 	make impass.1

=== debian/watch ===
version=4
opts=mode=git,pgpmode=gittag \
https://salsa.debian.org/debian/impass.git \
refs/tags/@ANY_VERSION@
